summaryrefslogtreecommitdiffstats
path: root/regressions
diff options
context:
space:
mode:
authorRichard Jones <rjones@redhat.com>2010-09-10 13:25:40 +0100
committerRichard Jones <rjones@redhat.com>2010-09-10 13:25:40 +0100
commitb033b55558503a1920c5b7cc1a7e1365749585e0 (patch)
tree50183cecb8b09a763cbf11233785df87d7c8b056 /regressions
parent3161cb58a5c9d285c2b9f9c63887138dfc36f28c (diff)
downloadlibguestfs-b033b55558503a1920c5b7cc1a7e1365749585e0.tar.gz
libguestfs-b033b55558503a1920c5b7cc1a7e1365749585e0.tar.xz
libguestfs-b033b55558503a1920c5b7cc1a7e1365749585e0.zip
fish: Add regression test for copy-in and copy-out.
Diffstat (limited to 'regressions')
-rw-r--r--regressions/Makefile.am1
-rwxr-xr-xregressions/test-copy.sh69
2 files changed, 70 insertions, 0 deletions
diff --git a/regressions/Makefile.am b/regressions/Makefile.am
index ca4292a9..3a6fe4da 100644
--- a/regressions/Makefile.am
+++ b/regressions/Makefile.am
@@ -34,6 +34,7 @@ TESTS = \
rhbz580246.sh \
test-cancellation-download-librarycancels.sh \
test-cancellation-upload-daemoncancels.sh \
+ test-copy.sh \
test-find0.sh \
test-luks.sh \
test-lvm-filtering.sh \
diff --git a/regressions/test-copy.sh b/regressions/test-copy.sh
new file mode 100755
index 00000000..31785ccd
--- /dev/null
+++ b/regressions/test-copy.sh
@@ -0,0 +1,69 @@
+#!/bin/bash -
+# libguestfs
+# Copyright (C) 2010 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# Test guestfish copy-in and copy-out commands.
+
+set -e
+
+rm -f test1.img
+rm -rf copy
+
+output=$(
+../fish/guestfish -N fs -m /dev/sda1 <<EOF
+mkdir /data
+# This creates a directory /data/images/
+copy-in ../images /data
+is-file /data/images/known-1
+is-file /data/images/known-3
+is-file /data/images/known-5
+is-symlink /data/images/abssymlink
+is-file /data/known-1
+is-file /known-1
+EOF
+)
+
+if [ "$output" != \
+"true
+true
+true
+true
+false
+false" ]; then
+ echo "$0: error: output of guestfish after copy-in command did not match expected output"
+ echo "$output"
+ exit 1
+fi
+
+mkdir copy
+
+../fish/guestfish --ro -a test1.img -m /dev/sda1 <<EOF
+copy-out /data/images copy
+EOF
+
+if [ ! -f copy/images/known-1 -o \
+ ! -f copy/images/known-3 -o \
+ ! -f copy/images/known-5 -o \
+ ! -L copy/images/abssymlink -o \
+ -f copy/known-1 -o \
+ -f known-1 ]; then
+ echo "$0: error: copy-out command failed"
+ exit 1
+fi
+
+rm -f test1.img
+rm -rf copy \ No newline at end of file